Summary: A module which implements the bandwidth and request throttling for Apache.
Name: mod_throttle
Version: 3.1.2
Release: 1.0.100
Group: System Environment/Daemons
URL: http://www.snert.com/Software/Throttle/
Source: http://www.snert.com/Software/Throttle/mod_throttle312.tgz
Source1: %{name}.txt
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel
Conflicts: apache < 1.3.22-1
Requires: webserver

%description
mod_throttle can be used to limit the amount of data which your web server
will serve.  These limits can be set for individual virtual hosts, directories,
locations, or authenticated users.

%prep
%setup
cp %{SOURCE1} .

%build
%{_sbindir}/apxs -c -o %{name}.so %{name}.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt *.shtml
%{_libdir}/apache/*.so

%changelog
* Fri Mar 01 2002 Jeff Baldwin <jeff_baldwin@unc.edu> 3.1.2-1.0.100
- Built package for EnGarde Secure Linux
